# Egg | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class Egg

- Defined in src/data/egg.ts:66

#####
Index

### Constructors

constructor

### Properties

_eggMoveIndex
_hatchWaves
_id
_isShiny
_overrideHiddenAbility
_sourceType
_species
_tier
_timestamp
_variantTier

### Accessors

eggMoveIndex
hatchWaves
id
isShiny
overrideHiddenAbility
sourceType
species
tier
timestamp
variantTier

### Methods

addEggToGameData
checkForPityTierOverrides
generatePlayerPokemon
getEggDescriptor
getEggHatchWavesMessage
getEggTierDefaultHatchWaves
getEggTierFromSpeciesStarterValue
getEggTypeDescriptor
getKey
increasePullStatistic
isManaphyEgg
rollEggMoveIndex
rollEggTier
rollShiny
rollSpecies
rollVariant

## Constructors

### constructor

- new Egg(eggOptions?): Egg

- #### Parameters

  - `Optional` eggOptions: IEggOptions

  #### Returns Egg

  - Defined in src/data/egg.ts:140

## Properties

### `Private` _eggMoveIndex

_eggMoveIndex: number

- Defined in src/data/egg.ts:81

### `Private` _hatchWaves

_hatchWaves: number

- Defined in src/data/egg.ts:75

### `Private` _id

_id: number

- Defined in src/data/egg.ts:72

### `Private` _isShiny

_isShiny: boolean

- Defined in src/data/egg.ts:79

### `Private` _overrideHiddenAbility

_overrideHiddenAbility: boolean

- Defined in src/data/egg.ts:83

### `Private` _sourceType

_sourceType: EggSourceType

- Defined in src/data/egg.ts:74

### `Private` _species

_species: Species

- Defined in src/data/egg.ts:78

### `Private` _tier

_tier: EggTier

- Defined in src/data/egg.ts:73

### `Private` _timestamp

_timestamp: number

- Defined in src/data/egg.ts:76

### `Private` _variantTier

_variantTier: VariantTier

- Defined in src/data/egg.ts:80

## Accessors

### eggMoveIndex

- get eggMoveIndex(): number

- #### Returns number

  - Defined in src/data/egg.ts:128

### hatchWaves

- get hatchWaves(): number

- #### Returns number

  - Defined in src/data/egg.ts:104
- set hatchWaves(value): void

- #### Parameters

  - value: number

  #### Returns void

  - Defined in src/data/egg.ts:108

### id

- get id(): number

- #### Returns number

  - Defined in src/data/egg.ts:92

### isShiny

- get isShiny(): boolean

- #### Returns boolean

  - Defined in src/data/egg.ts:120

### overrideHiddenAbility

- get overrideHiddenAbility(): boolean

- #### Returns boolean

  - Defined in src/data/egg.ts:132

### sourceType

- get sourceType(): EggSourceType

- #### Returns EggSourceType

  - Defined in src/data/egg.ts:100

### species

- get species(): Species

- #### Returns Species

  - Defined in src/data/egg.ts:116

### tier

- get tier(): EggTier

- #### Returns EggTier

  - Defined in src/data/egg.ts:96

### timestamp

- get timestamp(): number

- #### Returns number

  - Defined in src/data/egg.ts:112

### variantTier

- get variantTier(): VariantTier

- #### Returns VariantTier

  - Defined in src/data/egg.ts:124

## Methods

### addEggToGameData

- addEggToGameData(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/data/egg.ts:233

### `Private` checkForPityTierOverrides

- checkForPityTierOverrides(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/data/egg.ts:466

### generatePlayerPokemon

- generatePlayerPokemon(scene): PlayerPokemon

- #### Parameters

  - scene: default

  #### Returns PlayerPokemon

  - Defined in src/data/egg.ts:201

### getEggDescriptor

- getEggDescriptor(): string

- #### Returns string

  - Defined in src/data/egg.ts:237

### getEggHatchWavesMessage

- getEggHatchWavesMessage(): string

- #### Returns string

  - Defined in src/data/egg.ts:253

### `Private` getEggTierDefaultHatchWaves

- getEggTierDefaultHatchWaves(eggTier?): number

- #### Parameters

  - `Optional` eggTier: EggTier

  #### Returns number

  - Defined in src/data/egg.ts:303

### `Private` getEggTierFromSpeciesStarterValue

- getEggTierFromSpeciesStarterValue(): EggTier

- #### Returns EggTier

  - Defined in src/data/egg.ts:502

### getEggTypeDescriptor

- getEggTypeDescriptor(scene): string

- #### Parameters

  - scene: default

  #### Returns string

  - Defined in src/data/egg.ts:266

### getKey

- getKey(): string

- #### Returns string

  - Defined in src/data/egg.ts:193

### `Private` increasePullStatistic

- increasePullStatistic(scene): void

- #### Parameters

  - scene: default

  #### Returns void

  - Defined in src/data/egg.ts:482

### isManaphyEgg

- isManaphyEgg(): boolean

- #### Returns boolean

  - Defined in src/data/egg.ts:188

### `Private` rollEggMoveIndex

- rollEggMoveIndex(): number

- #### Returns number

  - Defined in src/data/egg.ts:287

### `Private` rollEggTier

- rollEggTier(): EggTier

- #### Returns EggTier

  - Defined in src/data/egg.ts:319

### `Private` rollShiny

- rollShiny(): boolean

- Rolls whether the egg is shiny or not.

  #### Returns boolean

  True if the egg is shiny

  - Defined in src/data/egg.ts:433

### `Private` rollSpecies

- rollSpecies(scene): Species

- #### Parameters

  - scene: default

  #### Returns Species

  - Defined in src/data/egg.ts:325

### `Private` rollVariant

- rollVariant(): VariantTier

- #### Returns VariantTier

  - Defined in src/data/egg.ts:451